Access forbidden... can't find a solution that works

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Access forbidden... can't find a solution that works

Postby Piggie » 18. October 2012 17:51

I am at my wits end at the moment.

I have seen that others have had this wretched errormessage:
Access forbidden!

New XAMPP security concept:
Access to the requested directory is only available from the local network.
This setting can be configured in the file "httpd-xampp.conf".

If you think this is a server error, please contact the webmaster.
Error 403
localhost
10/18/12 18:42:18
Apache/2.2.21 (Win32) mod_ssl/2.2.21 OpenSSL/1.0.0e PHP/5.3.8 mod_perl/2.0.4 Perl/v5.10.1


And I have googled and tried whatever solution I have found out there... nothing works, it still slams the door in my face.

Can somebody help me out here?
It pretty much sux to not being able to work on localhost :(
Piggie
 
Posts: 2
Joined: 18. October 2012 17:47
XAMPP Version: 5.5.19
Operating System: windows vista

Re: Access forbidden... can't find a solution that works

Postby JonB » 18. October 2012 20:17

Is this a fresh install?

Was it previously working?

Did you start the Control Panel with 'run as Adminstrator'?


:?:
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Access forbidden... can't find a solution that works

Postby Piggie » 20. October 2012 17:35

Is this a fresh install? no, and yes... as in I tried installing 'on top of'. I'm a bit hesitant to scrap it if I'm gonna loose the databases in it.

Was it previously working? yes

Did you start the Control Panel with 'run as Adminstrator'? yes, no change

I did try the several solutions for edition the conf-file that I've found around the web... still won't budge.
Piggie
 
Posts: 2
Joined: 18. October 2012 17:47
XAMPP Version: 5.5.19
Operating System: windows vista

Re: Access forbidden... can't find a solution that works

Postby JonB » 21. October 2012 23:15

I am trying to think of a better way to alert people that you can't 'install over' XAMPP. I tried putting a sticky up with complete instructions.
viewtopic.php?f=16&t=50988
That advice is true for ALL versions of XAMPP for Windows .

What was the original version? What version did you 'install over'?

Did you back up before you decided to do this?

You can likely rescue your databases with either the mySQL Command Line or use Oracle's powerful and free 'MySQL Workbench' - you will have to make sure MySQL starts first.

Google "mysql command line windows"

http://www.mysql.com/products/workbench/

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 44 guests

cron